%define upstream_name    B-Hooks-OP-Check-StashChange
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Invoke callbacks when the stash code is being compiled in changes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
Invoke callbacks when the stash code is being compiled in changes.

From Perl:

<CODE>
package Foo;

use B::Hooks::OP::Check::StashChange;

our $id = B::Hooks::OP::Check::StashChange::register(sub {
    my ($new, $old) = @_;
    warn "${old} -> ${new}";
});

package Bar; # "Foo -> Bar"

B::Hooks::OP::Check::StashChange::unregister($Foo::id);

package Moo; # callback not invoked
</CODE>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 363310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.60.0-1.mga3
+ Revision: 277674
- Add a description
- imported package perl-B-Hooks-OP-Check-StashChange

